<%@page import="java.util.*,javax.sql.*,java.sql.*,javax.naming.*,m05bClasses.m05bConstantesPaginas" %>
<%@include file="/mantenimientosJSP/includes/m05b.inc"%>

<%	// _______________________________XLNETs______________________________________
	// Evaluar variable de session que indica si esta conectado a XLNets
	if ((session.getAttribute("objetoSeguridad")) == null)  { 
		// Verificar que no ha transcurrido el tiempo de sesion (web.xml) %>
			<%@ include file="/m05bControlAcceso.inc"%> 
	<% } %>
	<%@ include file="/m05bIdioma.inc"%>


<HTML>
<head>
		<title><%= resTit.getString("titRelBancos")%></title>
		<META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=UTF-8">
		<link rel="stylesheet" href="<%=m05bConstantesPaginas.PATH_ESTILOS%>/m05bestilos.css" type="text/css">
</head>
<BODY style="cursor: wait" onkeydown="cancelaEnter();" onload="document.body.style.cursor='default';InitMenu();" onunload="document.body.style.cursor='wait';">
		<SCRIPT language=JavaScript>
			var urlIdioma;		//URL recarga en funcion del idioma
			var rutaCabecera;	//Camino de migas
			var detActual;		//Ventana actual
			urlIdioma = "<%=m05bConstantesPaginas.MTO_REL_BANCOS%>";
			detActual = '<%=resCM.getString("cmRelBancos")%>';
			rutaCabecera="";
			//rutaCabecera = "<%=m05bConstantesPaginas.DATOS_CABECERA%>" + urlIdioma + "'>\\"+detActual+"</a>";
		</SCRIPT>
		<%@ include file="/mantenimientosJSP/includes/m05Cabecera_c.jsp"%>
<p> 	 
<table  width="100%" height="100%" border="0" cellspacing="0" cellpadding="0" align="center">
	<tr><td colspan=3></td></tr>
	<tr valign="top">
		<td width="2%">
			<DIV ID="thessm" style="visibility:hidden;Position : Absolute ;Left : 0 ;Top : 80 ;Z-Index : 20;">
	      		<DIV ID="thessm2" style="Position : Absolute ;Left : (-150) ;Top : 0 ;Z-Index : 20;">
	                <%@ include file="/m05bMenuInicial.inc"%>
	       		</DIV>
			</DIV>
		</td>
		<td>&nbsp</td>
		<td width="98%">
			 <FORM NAME="FormRelBancos" METHOD="POST">
					 <TABLE class="general">
					    <tr> 
   					      <td width="90%" align="right"> 
   					      	<input type="button" class="boton" name="<%= res.getString("etBOT_PRESENTAR")%>" value="<%= res.getString("etBOT_PRESENTAR")%>" ONCLICK="JavaScript:fncImprimir(); return false" onMouseOver="top.status='<%= res.getString("etBOT_STATUSPRESENTAR")%>'; return false" onMouseOut="top.status=''; return false" />
   					      </td>
					      <td align="right"> 
					      	<input type="button" class="boton" name="<%= res.getString("etBOT_NUEVO")%>" value="<%= res.getString("etBOT_NUEVO")%>" ONCLICK="JavaScript:fncNuevo();return false;" onMouseOver="top.status='<%= res.getString("etBOT_STATUSNUEVO")%>'; return false" onMouseOut="top.status=''; return false" />
					      </td>
						</tr>
					 </TABLE>
					 <p>
					 <TABLE class="general">
					    <tr > 
					       <td class="searchTitle" align="left" width="30%"><%= res.getString("etNumCuenta")%></td>
					       <td class="searchTitle" align="left" width="20%"><%= res.getString("etNombre")%></td>
					       <td class="searchTitle" align="left" width="30%"><%= res.getString("etDireccion")%></td>
					       <td class="searchTitle" align="left" width="20%"><%= res.getString("etTelefono")%></td>
					    </tr>
					 </TABLE>
					<%
						int contador = 0;
						String sql = "", sql2 = "";
						String cuenta="", nombre="", direccion="", telefono="";
                        java.sql.Connection conn=null;
                        PreparedStatement pstmt = null;
                        ResultSet rs = null;
						
						
					try{
						session.removeAttribute("Banco");
						cuenta = request.getParameter("Cuenta");
						if ((cuenta == null) || (!(cuenta.equals("Nuevo")))) { 
						   if (cuenta != null)
						   		cuenta = cuenta.toUpperCase();
						   nombre = request.getParameter("Nombre")==null?"":request.getParameter("Nombre").toUpperCase();
						   direccion = request.getParameter("Direccion")==null?"":request.getParameter("Direccion").toUpperCase();
						   telefono = request.getParameter("Telefono");
						}

						sql = "select " + m05bConstantes.COL_03_NCUENTA + ", " + m05bConstantes.COL_03_NOMBRE + ", " + m05bConstantes.COL_03_DIRECCION + ", " + m05bConstantes.COL_03_TELEFONO;
						sql += " from " + m05bConstantes.TAB_BANCOS;

						if ( (cuenta == null) || (cuenta.equals("")) ) 
							sql2 = sql2; 
						else{	
							cuenta = "%" + cuenta + "%";
							sql2 += " where " + m05bConstantes.COL_03_NCUENTA + " like ? ";
						}
						if ( (nombre == null) || (nombre.equals("")) ) 
							sql2 = sql2;
						else{
							nombre = '%' + nombre + '%';
							if (sql2.equals(""))
						 		sql2 += " where " + m05bConstantes.COL_03_NOMBRE + " like ? ";
						 	else
						 		sql2 += " and " + m05bConstantes.COL_03_NOMBRE + " like ? ";
						}
						if ( (direccion == null) || (direccion.equals("")) ) 
							sql2 = sql2;
						else{
							direccion = '%' + direccion + '%';
							if (sql2.equals(""))
						 		sql2 += " where " + m05bConstantes.COL_03_DIRECCION + " like ? ";
						 	else
						 		sql2 += " and " + m05bConstantes.COL_03_DIRECCION + " like ? ";
						}
						if ( (telefono == null) || (telefono.equals("")) ) 
							sql2 = sql2;
						else{
							telefono = '%' + telefono + '%';
							if (sql2.equals(""))
						 		sql2 += " where " + m05bConstantes.COL_03_TELEFONO + " like ? ";
						 	else
						 		sql2 += " and " + m05bConstantes.COL_03_TELEFONO + "  like ? ";
						}
						sql += sql2 + " order by " + m05bConstantes.COL_03_NCUENTA + " ";
						
						//m05bbBeginSelect(sql);

		                m05bConexion miConex = new m05bConexion();
                        conn = miConex.getConnection();
                        conn.setAutoCommit(false);  // Al final si todo ha ido bien se hace commit	 
		                pstmt = conn.prepareStatement(sql);
						if ( (cuenta == null) || (cuenta.equals("")) ) 
							contador = contador;
						else{
							contador = contador + 1;
							pstmt.setString(contador, cuenta);
						}
						if ( (nombre == null) || (nombre.equals("")) ) 
							contador = contador;
						else{
							contador = contador + 1;
							pstmt.setString(contador, nombre);
						}
						if ( (direccion == null) || (direccion.equals("")) ) 
							contador = contador;
						else{
							contador = contador + 1;
							pstmt.setString(contador, direccion);
						}
						if ( (telefono == null) || (telefono.equals("")) ) 
							contador = contador;
						else{
							contador = contador + 1;
							pstmt.setString(contador, telefono);
						}
					%>
						<TABLE class="general">
						
					<%	

		                rs = pstmt.executeQuery();					     
					    //m05bRS = m05bPStmt.executeQuery();
						contador=0;
						while (rs.next() == true){
							cuenta = rs.getString(1);
							nombre= rs.getString(2)==null?"":rs.getString(2);
							direccion = rs.getString(3)==null?"":rs.getString(3);
							telefono= rs.getString(4)==null?"":rs.getString(4);
							++contador;  %>

							  	 <tr>
							        <td class=inputFieldTitle width="30%"><FONT size="2"><A href="JavaScript:fncModificar('<%=cuenta%>')"><%=cuenta%></A></FONT></td>
					   		        <td class=inputFieldTitle width="20%"><FONT size="2"><%=nombre%></FONT></td>
									<td class=inputFieldTitle width="30%"><FONT size="2"><%=direccion%></FONT></td>
					   		        <td class=inputFieldTitle width="20%"><FONT size="2"><%=telefono%></FONT></td>
							  	 </tr>
						<%}%>
							<tr></tr>
						    <tr align="center">
								    <td class="inputField" colspan="4"><%= res.getString("etTotal")%> <%=contador%></td>
						    </tr>
						</TABLE>
			</FORM>
		</td>
	</tr>
	<tr>
			<td colspan="3"><%@ include file="/mantenimientosJSP/includes/m05Pie_c.jsp"%></td>
	</tr>
</table>
<SCRIPT language='javascript'>
	function fncNuevo() {
	   var docu = document.FormRelBancos;
       docu.action="m05bBancosJsp.jsp?Cuenta=&Mensaje=false";
       docu.submit();
	}
	function fncModificar(cuenta) {
	   var docu = document.FormRelBancos;
       docu.action="m05bGenerarBancoServlet?Cuenta=" + cuenta + "&Mensaje=false";
       docu.submit();
    }
    function fncImprimir() {
		var docu = document.FormRelBancos;
        docu.action="m05bBancosPDFJsp.jsp";
        docu.submit();
    }    
								
    setTimeout('initSlide();', 1);
</SCRIPT>
<%
} catch (Exception ex) {
	m05bClasses.m05bFileLog miLog = new m05bClasses.m05bFileLog();
	miLog.addTraza(ex);
} finally {
	//m05bEndSelect();
	if (rs != null)
	    rs.close();
	if (pstmt != null)
		pstmt.close();
	if (conn != null)
		conn.close();
	
	
}%>
</BODY>
</HTML>